package com.iamberry.wechat.service.integral;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.integral.*;
import com.iamberry.wechat.face.integral.UseIntegralService;
import com.iamberry.wechat.service.mapper.UseIntegralMapper;
import com.iamberry.wechat.tools.NameUtils;
import com.iamberry.wechat.tools.ResultInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class UseIntegralServiceImpl implements UseIntegralService {
    @Autowired
    private UseIntegralMapper useIntegralMapper;

    /**
     * 获取会员信息.会员等级名称
     * @param openId
     * @return
     */
    @Override
    public MemberIntegral getMemberInfoAndRankName(String openId) {
        return useIntegralMapper.getMemberInfoAndRankName(openId);
    }

    /**
     * 获得的总积分数
     * @param userOpenId
     * @return
     */
    @Override
    public Integer getGainIntegralCount(String userOpenId) {
        return useIntegralMapper.getGainIntegralCount(userOpenId);
    }

    /**
     * 使用的总积分数
     * @param openid
     * @return
     */
    @Override
    public Integer getUseIntegralCount(String openid) {
        return useIntegralMapper.getUseIntegralCount(openid);
    }

    /**
     * 待入账的总积分数
     * @param userOpenId
     * @return
     */
    @Override
    public Integer getStayIntegralCount(String userOpenId) {
        return useIntegralMapper.getStayIntegralCount(userOpenId);
    }

    /**
     * 全部积分记录
     * @param useIntegral
     * @return
     */
    @Override
    public List<UseIntegral> listIntegralInfo(UseIntegral useIntegral) {
        return useIntegralMapper.listIntegralInfo(useIntegral);
    }

    @Override
    public List<IntegralConfig> listIntegralConfig(IntegralConfig integralConfig) {
        return useIntegralMapper.listIntegralConfig(integralConfig);
    }

    /**
     * 查询会员等级信息
     * @return
     */
    @Override
    public List<RankRule> getRankRule() {
        return useIntegralMapper.getRankRule();
    }

    @Override
    public boolean updateIntegralStayToAlready() {
        StayIntegral stayIntegral = new StayIntegral();
        /*获取所有的待入账积分*/
        List<StayIntegral>  stayIntegralList = useIntegralMapper.listStayIntegral(stayIntegral);
		/*判断时间是否大于的那个时间*/
		/*增加入账积分，累计积分*/
		/*大于将删除日志表的待入账，并增加入账记录*/
        return false;
    }


}
